Bug 300160 - line tool doesn't show brush outline
Summary: line tool doesn't show brush outline
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-05-16 19:32 UTC by Tom Hall
Modified: 2013-09-19 14:32 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Line Tool now shows brush outline. (22.31 KB, patch)
2013-09-19 14:25 UTC, Salil Kapur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Hall 2012-05-16 19:32:58 UTC
Tools that use the same brush as the freehand tool, (line tool, raster shape tools, poly line) do not show the brush outline, giving no indication of the size/shape of the current brush.

For some of these tools, there could be arguments in favour of only showing the outline when it changes, i.e. brush resized.

Reproducible: Always

Steps to Reproduce:
1. Set cursor shape to brush outline
2. Select Line tool (or similar. also affect poly line etc.)
3. (Optional) Change the brush size
Actual Results:  
No brush outline. Difficult to tell what size the brush is.

Expected Results:  
Show brush outline just like with freehand tool (They use the same brush)
Comment 1 Halla Rempt 2012-05-25 08:45:01 UTC
Ack.
Comment 2 Halla Rempt 2013-02-06 14:44:34 UTC
Note that the shortcuts for modifying the brush also aren't shared: [ ], k l, o, p -- those should be moved out as well. This means that the painting of the cursor needs to be moved to KisToolPaint, and that the shortcuts go to KisView2, then the shortcuts should kick the tool to update the cursor.
Comment 3 Salil Kapur 2013-09-19 14:25:26 UTC
Created attachment 82409 [details]
Line Tool now shows brush outline.
Comment 4 Halla Rempt 2013-09-19 14:32:44 UTC
Git commit a0165fdd51d8e0287d4432d1dff21b92125ca76f by Boudewijn Rempt.
Committed on 19/09/2013 at 14:31.
Pushed by rempt into branch 'master'.

Show brush outline in line tool (and other tools)
CCMAIL: salilkapur93@gmail.com
Patch by Salil Kapur (salilkapur93@gmail.com)

M  +1    -0    krita/plugins/tools/defaulttools/kis_tool_ellipse.cc
M  +24   -2    krita/plugins/tools/defaulttools/kis_tool_line.cc
M  +2    -1    krita/plugins/tools/defaulttools/kis_tool_line.h
M  +1    -0    krita/plugins/tools/defaulttools/kis_tool_rectangle.cc
M  +1    -0    krita/plugins/tools/tool_polygon/kis_tool_polygon.cc
M  +1    -0    krita/plugins/tools/tool_polyline/kis_tool_polyline.cc
M  +2    -0    krita/ui/tool/kis_tool_ellipse_base.cpp
M  +9    -72   krita/ui/tool/kis_tool_freehand.cc
M  +0    -8    krita/ui/tool/kis_tool_freehand.h
M  +108  -1    krita/ui/tool/kis_tool_paint.cc
M  +14   -5    krita/ui/tool/kis_tool_paint.h
M  +2    -0    krita/ui/tool/kis_tool_polyline_base.cpp
M  +6    -2    krita/ui/tool/kis_tool_rectangle_base.cpp

http://commits.kde.org/calligra/a0165fdd51d8e0287d4432d1dff21b92125ca76f